Alliance Resource Partners LP

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/alliance-resource-partners-lp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/alliance-resource-partners-lp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1740614400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://d18rn0p25nwr6d.cloudfront.net/CIK-0001086600/76b411a2-2daf-434c-9d40-b34463846514.pdf",
    "holding_balance": 481.89,
    "holding_net_change": 481.89,
    "transaction_value_usd": 18748000.0,
    "average_entry_value_usd": 38905.14,
    "transaction_value_calculated": false
  },
  {
    "date": 1746748800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://d18rn0p25nwr6d.cloudfront.net/CIK-0001086600/4e4a0a24-e8e0-441f-937a-100357b2ea3f.pdf",
    "holding_balance": 512.55,
    "holding_net_change": 30.66,
    "transaction_value_usd": 2897000.0,
    "average_entry_value_usd": 94487.93,
    "transaction_value_calculated": false
  },
  {
    "date": 1754524800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://d18rn0p25nwr6d.cloudfront.net/CIK-0001086600/9b723984-6d13-4952-9f9a-5be83f8c1170.pdf",
    "holding_balance": 541.39,
    "holding_net_change": 28.84,
    "transaction_value_usd": 2851000.0,
    "average_entry_value_usd": 98855.76,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/alliance-resource-partners-lp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    541.39
  ],
  [
    1779062400000,
    541.39
  ],
  [
    1779148800000,
    541.39
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/alliance-resource-partners-lp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    41919751.9054
  ],
  [
    1779062400000,
    41656858.3353
  ],
  [
    1779148800000,
    41557101.813899994
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/alliance-resource-partners-lp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 25.04,
    "date": "2026-05-15",
    "high": 25.58,
    "open": 25.44,
    "close": 25.13,
    "volume": 375800
  },
  {
    "low": 24.81,
    "date": "2026-05-18",
    "high": 25.55,
    "open": 25.42,
    "close": 25.4,
    "volume": 467100
  },
  {
    "low": 25.17,
    "date": "2026-05-19",
    "high": 25.5,
    "open": 25.5,
    "close": 25.22,
    "volume": 247353
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/alliance-resource-partners-lp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.62,
  "quarterly_earnings_growth": -0.876,
  "eps_estimate_current_quarter": 0.2867
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/alliance-resource-partners-lp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 2.56,
  "six_month_return": 0.96,
  "three_month_return": -2.59
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/alliance-resource-partners-lp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.3,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "up"
}